Bug 214651 - games/pinball: fails to build with libc++ 3.9
Summary: games/pinball: fails to build with libc++ 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://github.com/llvm-mirror/libcxx...
Keywords: easy, patch
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-11-19 01:31 UTC by Jan Beich
Modified: 2016-12-13 16:26 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback-


Attachments
Patch (2.20 KB, patch)
2016-11-24 13:43 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-19 01:31:42 UTC
Config.cpp:429:9: error: assigning to 'char *' from incompatible type 'const char *'
    ptr = (strrchr(argv0,'/')); // unix /cygwin / check win32
        ^ ~~~~~~~~~~~~~~~~~~~~

http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/pinball-0.3.1_20.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/toycars-0.3.10_7.log
Comment 1 Dmitry Marakasov freebsd_committer 2016-11-24 13:43:23 UTC
Created attachment 177356 [details]
Patch

Proposed patch. Apart from fixing const char* issues,
- Add LICENSE_FILE
- Switch to USES=localbase
- Simplify docs installation
Comment 2 Dmitry Marakasov freebsd_committer 2016-12-13 16:26:27 UTC
Maintainer timeout, committed.
Comment 3 commit-hook freebsd_committer 2016-12-13 16:26:46 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 13 16:26:20 UTC 2016
New revision: 428507
URL: https://svnweb.freebsd.org/changeset/ports/428507

Log:
  - Fix build with libc++ 3.9
  - Add LICENSE_FILE
  - Switch to USES=localbase
  - Simplify docs installation

  PR:		214651
  Reported by:	jbeich
  Approved by:	maintainer timeout (thierry, 3 weeks)

Changes:
  head/games/pinball/Makefile
  head/games/pinball/files/patch-base_Config.cpp